commit:     e1f4a1b59870f7268a79346b693a7d97db490900
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 13 15:48:23 2023 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Fri Jan 13 15:50:29 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1f4a1b5

sci-libs/symmetrica: update EAPI 7 -> 8

Closes: https://bugs.gentoo.org/890668
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 sci-libs/symmetrica/symmetrica-3.0.1-r1.ebuild | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/sci-libs/symmetrica/symmetrica-3.0.1-r1.ebuild 
b/sci-libs/symmetrica/symmetrica-3.0.1-r1.ebuild
new file mode 100644
index 000000000000..20eb9928c0f0
--- /dev/null
+++ b/sci-libs/symmetrica/symmetrica-3.0.1-r1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="C library for representation theory, combinatorics, and more"
+HOMEPAGE="https://gitlab.com/sagemath/symmetrica";
+SRC_URI="https://gitlab.com/sagemath/symmetrica/uploads/b3d8e1ad5ab2449c30bbc3147e7a5e53/${P}.tar.xz";
+
+LICENSE="ISC"
+SLOT="0/2"
+KEYWORDS="~amd64"
+IUSE="doc"
+
+DOCS=( README.md )
+
+src_configure() {
+       econf $(use_enable doc)
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to